ghostscript 9.05~dfsg-0ubuntu4.5 source package in Ubuntu

Changelog

ghostscript (9.05~dfsg-0ubuntu4.5) precise-security; urgency=medium

  * SECURITY UPDATE: invalid handling of parameters to .eqproc and
    .rsdparams allowed disabling -dSAFER and thus code execution
    - debian/patches/CVE-2017-8291-1.patch: check .eqproc parameters
    - debian/patches/CVE-2017-8291-2.patch: check .rsdparams parameters
    - CVE-2017-8291
  * SECURITY UPDATE: use-after-free in color management module.
    - CVE-2016-10217.patch: Don't create new ctx when pdf14 device
      reenabled
    - CVE-2016-10217
  * SECURITY UPDATE: divide-by-zero error denial of service in
    base/gxfill.c
    - CVE-2016-10219.patch: check for 0 in denominator
    - CVE-2016-10219
  * SECURITY UPDATE: null pointer dereference denial of service
    - CVE-2016-10220.patch: initialize device data structure correctly
    - CVE-2016-10220
  * SECURITY UPDATE: null pointer dereference denial of service
    - CVE-2017-5951.patch: use the correct param list enumerator
    - CVE-2017-5951
  * SECURITY UPDATE: null pointer dereference denial of service
    - CVE-2017-7207.patch: ensure a device has raster memory, before
      trying to read it
    - CVE-2017-7207

 -- Steve Beattie <email address hidden>  Thu, 27 Apr 2017 19:05:47 -0700

Upload details

Uploaded by:
Steve Beattie on 2017-04-28
Uploaded to:
Precise
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
text
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section
Precise updates on 2017-04-28 main text
Precise security on 2017-04-28 main text

Downloads

File Size SHA-256 Checksum
ghostscript_9.05~dfsg.orig.tar.bz2 15.4 MiB da735c43c225d30f8f759893aa9f8ecc0133e4fc9db62ebaea5f210faa61fe35
ghostscript_9.05~dfsg-0ubuntu4.5.debian.tar.gz 129.2 KiB b27d1a958961fb8799cde66fb48b77a667cfb3357b88fb89986901176509f114
ghostscript_9.05~dfsg-0ubuntu4.5.dsc 2.9 KiB 176c3ea9a47c30307e2d5c693562e0afbab213f41622b2df4b4393157a8b53ca

View changes file

Binary packages built by this source

ghostscript: interpreter for the PostScript language and for PDF

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be
 printed on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.

ghostscript-cups: interpreter for the PostScript language and for PDF - CUPS filters

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the CUPS filters, drivers, and PPDs which come
 with GPL Ghostscript.

ghostscript-cups-dbgsym: debug symbols for package ghostscript-cups

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the CUPS filters, drivers, and PPDs which come
 with GPL Ghostscript.

ghostscript-dbg: interpreter for the PostScript language and for PDF - Debug symbols

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the debugging symbols for ghostscript, ghostscript-x,
 ghostscript-cups and libgs9.

ghostscript-dbgsym: debug symbols for package ghostscript

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 Furthermore, it can render PostScript and PDF files as graphics to be
 printed on non-PostScript printers. Supported printers include common
 dot-matrix, inkjet and laser models.

ghostscript-doc: interpreter for the PostScript language and for PDF - Documentation

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains documentation for GPL Ghostscript, mainly
 targeted developers and advanced users.

ghostscript-x: interpreter for the PostScript language and for PDF - X11 support

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the GPL Ghostscript output device for X11.

ghostscript-x-dbgsym: debug symbols for package ghostscript-x

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package contains the GPL Ghostscript output device for X11.

gs-common: Transitional dummy package for ghostscript

 This is a dummy package provided for a smooth transition from previous
 separately packages Ghostscript flavors now replaced by ghostscript.
 .
 It may safely be removed after installation.

libgs-dev: interpreter for the PostScript language and for PDF - Development Files

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the development files for the GPL Ghostscript
 library which makes the facilities of GPL Ghostscript available to
 applications.

libgs9: interpreter for the PostScript language and for PDF - Library

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library which makes the
 facilities of GPL Ghostscript available to applications.

libgs9-common: interpreter for the PostScript language and for PDF - common files

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides common architecture-independent files needed by
 the GPL Ghostscript library.

libgs9-dbgsym: debug symbols for package libgs9

 GPL Ghostscript is used for PostScript/PDF preview and printing.
 Usually as a back-end to a program such as ghostview, it can display
 PostScript and PDF documents in an X11 environment.
 .
 This package provides the Ghostscript library which makes the
 facilities of GPL Ghostscript available to applications.